## marble 16.04.1

=== debian/changelog ===
marble (4:16.04.1-3) unstable; urgency=medium

  * Update symbols files with the buildds logs.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 23:48:43 +0200

marble (4:16.04.1-2) unstable; urgency=medium

  * Release to unstable.
  * Update symbols files with the buildds logs.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 05 Jun 2016 14:13:35 +0200

marble (4:16.04.1-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches
  * Update symbols files with the logs from the buildds
  * Update symbols files

  [ Maximiliano Curia ]
  * Hacky use of xephyr
  * No curly brackets in the trap call
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Follow upstream soversion bump
  * Update symbols files
  * Update lintian override for libmarbledeclarative.so
  * Add missing maps dependency.
    Thanks to Ritesh Raj Sarraf for reporting and suggesting the dependency
    (Closes: #823059)
  * Update install files
  * Add missing Breaks/Replaces
  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 19:30:46 +0200

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               kio-dev,
               libgps-dev (>= 2.90),
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5i18n-dev,
               libkf5newstuff-dev,
               libkf5parts-dev,
               libkf5runner-dev,
               libkf5service-dev,
               libkf5wallet-dev,
               libopencv-core-dev,
               libopencv-highgui-dev,
               libopencv-imgproc-dev,
               libphonon4qt5-dev,
               libprotobuf-dev,
               libqt5opengl5-dev,
               libqt5serialport5-dev,
               libqt5svg5-dev (>= 5.4),
               libqt5webkit5-dev (>= 5.4),
               libquazip5-dev,
               libshp-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               python-dev,
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtlocation5-dev,
               qtmultimedia5-dev,
               qtpositioning5-dev,
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               shared-mime-info,
               sip-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://edu.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/marble.git

Package: marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-maps
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         qml-module-qtmultimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gosmore, monav-routing-daemon, routino
Breaks: marble (<< 4:4.13)
Replaces: marble (<< 4:4.13)
Description: globe and map widget for mobile form factors
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: marble (<< 4:4.13)
Replaces: marble (<< 4:4.13)
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Depends: ${misc:Depends}
Breaks: marble (<= 4:15.08.0+dfsg-1)
Replaces: marble (<= 4:15.08.0+dfsg-1)
Description: data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: plugins for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: libmarblewidget-qt5-24
Architecture: any
Section: libs
Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: marble-plugins (= ${binary:Version})
Description: Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: libastro1
Architecture: any
Section: libs
Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Marble astronomy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for astronomy support in marble.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: libastro-dev (= ${binary:Version}),
         libmarblewidget-qt5-24 (= ${binary:Version}),
         libqt5webkit5-dev (>= 5.4),
         qtdeclarative5-dev (>= 5.4),
         ${misc:Depends},
         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-24},
         ${shlibs:Depends}
Description: development files for the Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: libastro-dev
Architecture: any
Section: libdevel
Depends: libastro1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: development files for the Marble astrononmy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble astronomy library
 .
 This package is part of the KDE education module.

## marble 16.04.3

=== debian/changelog ===
marble (4:16.04.3-0ubuntu2) yakkety; urgency=medium

  * Mark as optional some ABI irrelevant (private) symbols.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 03 Oct 2016 20:57:33 +0200

marble (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove upstream applied isnan patch. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump SO version install file. 
  * New upstream bugfix release
  * Add missing file. 

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)
  * Removing files no longer being built
  * Merged with Debian
  * Refreshing symbols and removing MISSING

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:33:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,47 +5,48 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules,
-               kdoctools-dev,
-               kio-dev,
+               extra-cmake-modules (>= 5.24.0~),
+               kdoctools-dev (>= 5.24.0~),
+               kio-dev (>= 5.24.0~),
                libgps-dev (>= 2.90),
-               libkf5config-dev,
-               libkf5coreaddons-dev,
-               libkf5crash-dev,
-               libkf5i18n-dev,
-               libkf5newstuff-dev,
-               libkf5parts-dev,
-               libkf5runner-dev,
-               libkf5service-dev,
-               libkf5wallet-dev,
+               libkf5config-dev (>= 5.24.0~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5crash-dev (>= 5.24.0~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5newstuff-dev (>= 5.24.0~),
+               libkf5parts-dev (>= 5.24.0~),
+               libkf5runner-dev (>= 5.24.0~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5wallet-dev (>= 5.24.0~),
                libopencv-core-dev,
                libopencv-highgui-dev,
                libopencv-imgproc-dev,
                libphonon4qt5-dev,
                libprotobuf-dev,
-               libqt5opengl5-dev,
-               libqt5serialport5-dev,
-               libqt5svg5-dev (>= 5.4),
+               libqt5extserialport-dev,
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5serialport5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                libqt5webkit5-dev (>= 5.4),
                libquazip5-dev,
                libshp-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                python-dev,
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
-               qtlocation5-dev,
-               qtmultimedia5-dev,
-               qtpositioning5-dev,
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qtlocation5-dev (>= 5.6.1~),
+               qtmultimedia5-dev (>= 5.6.1~),
+               qtpositioning5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
                shared-mime-info,
                sip-dev,
                zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
 
 Package: marble
 Architecture: any

## marble 16.08.3

=== data/CMakeLists.txt ===
install (FILES
credits_authors.html
credits_data.html
legend.html
legend.css
DESTINATION ${MARBLE_DATA_INSTALL_PATH})

FILE (GLOB LEGEND_FILES *.leg)
install (FILES ${LEGEND_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH})

FILE (GLOB BITMAP_FILES bitmaps/*.png)
install (FILES ${BITMAP_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps)

INSTALL (DIRECTORY svg/osmcarto/svg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/svg/osmcarto
FILES_MATCHING PATTERN "*.svg"
PATTERN "svgorig" EXCLUDE)

FILE (GLOB BITMAP_EDITARROW_FILES bitmaps/editarrows/*.png)
install (FILES ${BITMAP_EDITARROW_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps/editarrows)

install (DIRECTORY bitmaps/osmcarto
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps
PATTERN "LICENSE.txt" EXCLUDE)

FILE (GLOB BITMAP_STAR_FILES bitmaps/stars/*.png)
install (FILES ${BITMAP_STAR_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps/stars)

FILE (GLOB BITMAP_FILES bitmaps/*.jpg)
install (FILES ${BITMAP_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/bitmaps)

install (FILES 
svg/marble-logo.svg
svg/marble-logo.png
svg/marble-logo-32dpi.png
svg/marble-logo-72dpi.png
svg/marble-logo-inverted-32dpi.png
svg/marble-logo-inverted-72dpi.png
svg/application-x-marble.svg
svg/application-x-marble.png
svg/application-x-marble-gray.png
svg/worldmap.svg
svg/lunarmap.svg
svg/marsmap.svg
svg/coordinate.svg
svg/wikipedia.svg
svg/wikipedia_shadow.svg
svg/sunshine.png
svg/sun.png
svg/moon.png
svg/glow.png
svg/track_turtle.svg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/svg)

FILE (GLOB SVG_FILES flags/*.svg)
install (FILES ${SVG_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/flags)

install (FILES
maps/earth/citylights/citylights.jpg
maps/earth/citylights/citylights.dgml
maps/earth/citylights/citylights-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/citylights)

install (FILES
maps/earth/citylights/legend/city.png
maps/earth/citylights/legend/lightterrain.png
maps/earth/citylights/legend/darkterrain.png
maps/earth/citylights/legend/water.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/citylights/legend)

install (FILES
maps/earth/clouds/0/000000/000000_000000.jpg
maps/earth/clouds/0/000000/000000_000001.jpg
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/clouds/0/000000)

install (DIRECTORY maps/earth/srtm DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)

install (FILES
maps/earth/srtm2/srtm2.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/srtm2)

install (FILES
maps/earth/srtm2/0/000000/000000_000000.png
maps/earth/srtm2/0/000000/000000_000001.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/srtm2/0/000000)

install (FILES
maps/earth/bluemarble/bluemarble.jpg
maps/earth/bluemarble/bluemarble.dgml
maps/earth/bluemarble/bluemarble-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/bluemarble)

install (FILES
maps/earth/bluemarble/legend/ice.png
maps/earth/bluemarble/legend/mountain.png
maps/earth/bluemarble/legend/vegetation.png
maps/earth/bluemarble/legend/desert.png
maps/earth/bluemarble/legend/water.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/bluemarble/legend)

install (FILES
maps/earth/plain/plain.dgml
maps/earth/plain/plain-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/plain)

install (DIRECTORY maps/earth/behaim1492
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth
)

install (DIRECTORY maps/earth/openstreetmap
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth
)

install (FILES
maps/earth/hillshading/0/0/0.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/hillshading/0/0)

OPTION(EXPERIMENTAL_SENTINEL2_MAP "Install an experimental satellite map theme")
if(EXPERIMENTAL_SENTINEL2_MAP)
    install (DIRECTORY maps/earth/sentinel2 DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)
endif()

OPTION(EXPERIMENTAL_VECTOR_TILING "Install a map theme using OSM vector tiles (experimental)" ON)
if(EXPERIMENTAL_VECTOR_TILING OR CMAKE_SYSTEM_NAME STREQUAL Android)
    install (DIRECTORY maps/earth/vectorosm DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)
endif()

OPTION(MARBLE_EMPTY_MAPTHEME "Install an empty map theme for developmental purposes")
if(MARBLE_EMPTY_MAPTHEME)
    install (DIRECTORY maps/earth/empty DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth)
endif()

install (FILES
maps/earth/temp-july/temp-july.jpg
maps/earth/temp-july/temp-july-preview.png
maps/earth/temp-july/temp-july.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/temp-july)

install (FILES
maps/earth/temp-dec/temp-dec.jpg
maps/earth/temp-dec/temp-dec-preview.png
maps/earth/temp-dec/temp-dec.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/temp-dec)

install (FILES
maps/earth/precip-july/precip-july.jpg
maps/earth/precip-july/precip-july-preview.png
maps/earth/precip-july/precip-july.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/precip-july)

install (FILES
maps/earth/precip-dec/precip-dec.jpg
maps/earth/precip-dec/precip-dec-preview.png
maps/earth/precip-dec/precip-dec.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/precip-dec)

install (FILES
maps/earth/schagen1689/legend.html
maps/earth/schagen1689/schagen1689.jpg
maps/earth/schagen1689/schagen1689.dgml
maps/earth/schagen1689/schagen1689-preview.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/schagen1689)

install (FILES
maps/earth/schagen1689/legend/mountain.png
maps/earth/schagen1689/legend/town.png
maps/earth/schagen1689/legend/river.png
maps/earth/schagen1689/legend/lake.png
maps/earth/schagen1689/legend/schagen_title.png
maps/earth/schagen1689/legend/schagen_orig.png
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/schagen1689/legend)

install (FILES
maps/earth/political/political-preview.png
maps/earth/political/political.dgml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/earth/political)

install (FILES
maps/moon/clementine/clementine.jpg
maps/moon/clementine/clementine-preview.png
maps/moon/clementine/legend.html 
maps/moon/clementine/clementine.dgml
maps/moon/clementine/tour.kml
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/maps/moon/clementine)

FILE (GLOB_RECURSE DGML_FILES maps/*.dgml)
MARBLE_ADD_PROJECT_RESOURCES(${DGML_FILES})

install (FILES
weather/bbc-stations.xml
weather/weather-clear-night.png
weather/weather-clear.png
weather/weather-clouds-night.png
weather/weather-clouds.png
weather/weather-few-clouds-night.png
weather/weather-few-clouds.png
weather/weather-hail.png
weather/weather-many-clouds.png
weather/weather-mist.png
weather/weather-none-available.png
weather/weather-showers-day.png
weather/weather-showers-night.png
weather/weather-showers-scattered-day.png
weather/weather-showers-scattered-night.png
weather/weather-showers-scattered.png
weather/weather-showers.png
weather/weather-snow-rain.png
weather/weather-snow-scattered-day.png
weather/weather-snow-scattered-night.png
weather/weather-snow-scattered.png
weather/weather-snow.png
weather/weather-storm-day.png
weather/weather-storm-night.png
weather/weather-storm.png
weather/wind-arrows.svgz
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/weather)

install (FILES
licenses/lgpl2.txt
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/licenses)

install (FILES
mwdbii/DATELINE.PNT
mwdbii/PCOAST.PNT
mwdbii/PDIFFBORDER.PNT
mwdbii/PGLACIER.PNT
mwdbii/PISLAND.PNT
mwdbii/PLAKEISLAND.PNT
mwdbii/PLAKE.PNT
mwdbii/PUSA48.DIFF.PNT
mwdbii/RIVER.PNT
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/mwdbii)

FILE (GLOB PN2_FILES naturalearth/*.pn2)
install (FILES ${PN2_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/naturalearth)

FILE (GLOB STAR_FILES stars/*.dat)
install (FILES ${STAR_FILES} stars/deepsky.png stars/names.csv
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/stars)

install (FILES
placemarks/elevplacemarks.cache
placemarks/otherplacemarks.cache
placemarks/baseplacemarks.cache
placemarks/moonlandingsites.cache
placemarks/boundaryplacemarks.cache
placemarks/moonterrain.cache
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks)

if(MOBILE)
    install (FILES placemarks/cityplacemarks_large_population.cache DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks RENAME placemarks/cityplacemarks.cache)
else(MOBILE)
    install (FILES placemarks/cityplacemarks.cache DESTINATION ${MARBLE_DATA_INSTALL_PATH}/placemarks)
endif(MOBILE)

if(NOT APPLE AND NOT WIN32)
  install (FILES icons/128-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/128x128/apps/ RENAME marble.png)
  install (FILES icons/64-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/64x64/apps/ RENAME marble.png)
  install (FILES icons/48-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/48x48/apps/ RENAME marble.png)
  install (FILES icons/32-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/32x32/apps/ RENAME marble.png)
  install (FILES icons/22-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/22x22/apps/ RENAME marble.png)
  install (FILES icons/16-apps-marble.png DESTINATION ${ICON_INSTALL_DIR}/hicolor/16x16/apps/ RENAME marble.png)
endif(NOT APPLE AND NOT WIN32 )

FILE (GLOB AUDIO_FILES audio/*.ogg)
install (FILES
  ${AUDIO_FILES}
DESTINATION ${MARBLE_DATA_INSTALL_PATH}/audio)

add_subdirectory(lang)

find_package(ECM ${REQUIRED_ECM_VERSION} QUIET) # for FindSharedMimeInfo
if(NOT ECM_FOUND)
    return()
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs) # for KDE_INSTALL_MIMEDIR
# shared-mime-info 0.40 is mandatory for generic-icon
set( SHARED_MIME_INFO_MINIMUM_VERSION "0.40" )
find_package( SharedMimeInfo QUIET )
if(SharedMimeInfo_FOUND)
    install(FILES mimetypes/geo.xml  DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes( ${KDE_INSTALL_MIMEDIR} )
endif()

=== src/lib/marble/CMakeLists.txt ===
PROJECT(marblewidget)

macro_optional_find_package(Phonon)
marble_set_package_properties( Phonon PROPERTIES DESCRIPTION "cross-platform multimedia framework that enables the use of audio and video content" )
marble_set_package_properties( Phonon PROPERTIES URL "http://qt.digia.com/" )
marble_set_package_properties( Phonon PROPERTIES TYPE OPTIONAL PURPOSE "Support for playback of soundcue elements" )
if(PHONON_FOUND)
    set(HAVE_PHONON TRUE)
endif()
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config-phonon.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config-phonon.h)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
 ${CMAKE_CURRENT_SOURCE_DIR}/projections
 ${CMAKE_CURRENT_SOURCE_DIR}/routing
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/data
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/graphicsitem
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/scene
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/handlers
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/handlers/kml
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/handlers/dgml
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/parser
 ${CMAKE_CURRENT_SOURCE_DIR}/graphicsview
 ${CMAKE_CURRENT_SOURCE_DIR}/layers
 ${CMAKE_CURRENT_SOURCE_DIR}/osm
 ${CMAKE_CURRENT_SOURCE_DIR}/cloudsync
 ${CMAKE_SOURCE_DIR}/src/lib/astro
 ${ZLIB_INCLUDE_DIRS}
 ${PHONON_INCLUDES}
)

INCLUDE(geodata/CMakeLists.txt)
INCLUDE(graphicsview/CMakeLists.txt)
INCLUDE(layers/CMakeLists.txt)
INCLUDE(osm/CMakeLists.txt)

set(MARBLE_LIB_VERSION "0.25.3")
set(MARBLE_ABI_VERSION "25")

########### next target ###############

if(MARBLE_NO_WEBKITWIDGETS)
add_definitions(-DMARBLE_NO_WEBKITWIDGETS)
endif()

set(marblewidget_SRCS
    ${geodata_SRCS}
    ${graphicsview_SRCS}
    ${layers_SRCS}
    ${osm_SRCS}
    blendings/Blending.cpp
    blendings/BlendingAlgorithms.cpp
    blendings/BlendingFactory.cpp
    blendings/SunLightBlending.cpp
    DownloadRegion.cpp
    DownloadRegionDialog.cpp
    LatLonBoxWidget.cpp
    MarbleWidget.cpp
    MarbleAbstractPresenter.cpp
    MarbleModel.cpp
    MarbleMap.cpp
    MarbleColors.cpp
    MapViewWidget.cpp
    CelestialSortFilterProxyModel.cpp
    FileViewWidget.cpp
    TourWidget.cpp
    FlyToEditWidget.cpp
    TourControlEditWidget.cpp
    WaitEditWidget.cpp
    SoundCueEditWidget.cpp
    RemoveItemEditWidget.cpp
    TourItemDelegate.cpp
    MapViewItemDelegate.cpp
    TourPlayback.cpp
    LegendWidget.cpp
    PlaybackItem.cpp
    PlaybackAnimatedUpdateItem.cpp
    PlaybackFlyToItem.cpp
    PlaybackSoundCueItem.cpp
    PlaybackTourControlItem.cpp
    PlaybackWaitItem.cpp
    SerialTrack.cpp
    SoundTrack.cpp
    AnimatedUpdateTrack.cpp
    CurrentLocationWidget.cpp
    MarbleNavigator.cpp
    MarbleLegendBrowser.cpp
    MarbleAboutDialog.cpp
    MarbleInputHandler.cpp
    MarbleWidgetInputHandler.cpp
    MarbleWidgetPopupMenu.cpp
    MarblePlacemarkModel.cpp
    GeoDataTreeModel.cpp
    GeoUriParser.cpp
    kdescendantsproxymodel.cpp
    BranchFilterProxyModel.cpp
    TreeViewDecoratorModel.cpp
    MarbleDebug.cpp
    Tile.cpp
    TextureTile.cpp
    TileCoordsPyramid.cpp
    TileLevelRangeWidget.cpp
    TileLoader.cpp
    QtMarbleConfigDialog.cpp
    ClipPainter.cpp
    DownloadPolicy.cpp
    DownloadQueueSet.cpp
    GeoPainter.cpp
    HttpDownloadManager.cpp
    HttpJob.cpp
    RemoteIconLoader.cpp
    LayerManager.cpp
    PluginManager.cpp
    TimeControlWidget.cpp
    AbstractFloatItem.cpp
    PopupItem.cpp
    MarbleGlobal.cpp
    MarbleDirs.cpp
    MarbleLocale.cpp
    MarblePhysics.cpp
    DeferredFlag.cpp
    TileCreatorDialog.cpp
    MapThemeManager.cpp
    ViewportParams.cpp
    ViewParams.cpp
    projections/AbstractProjection.cpp
    projections/CylindricalProjection.cpp
    projections/AzimuthalProjection.cpp
    projections/SphericalProjection.cpp
    projections/EquirectProjection.cpp
    projections/MercatorProjection.cpp
    projections/GnomonicProjection.cpp
    projections/StereographicProjection.cpp
    projections/LambertAzimuthalProjection.cpp
    projections/AzimuthalEquidistantProjection.cpp
    projections/VerticalPerspectiveProjection.cpp
    VisiblePlacemark.cpp
    PlacemarkLayout.cpp
    Planet.cpp
    PlanetFactory.cpp
    Quaternion.cpp
    TextureColorizer.cpp
    TextureMapperInterface.cpp
    ScanlineTextureMapperContext.cpp
    SphericalScanlineTextureMapper.cpp
    EquirectScanlineTextureMapper.cpp
    MercatorScanlineTextureMapper.cpp
    TileScalingTextureMapper.cpp
    GenericScanlineTextureMapper.cpp
    VectorTileModel.cpp
    DiscCache.cpp
    ServerLayout.cpp
    StoragePolicy.cpp
    CacheStoragePolicy.cpp
    FileStoragePolicy.cpp
    FileStorageWatcher.cpp
    StackedTile.cpp
    TileId.cpp
    StackedTileLoader.cpp
    TileLoaderHelper.cpp
    TileCreator.cpp
    #jsonparser.cpp
    FileLoader.cpp
    FileManager.cpp
    PositionTracking.cpp
    DataMigration.cpp
    ImageF.cpp
    MovieCapture.cpp
    MovieCaptureDialog.cpp
    TourCaptureDialog.cpp
    EditPlacemarkDialog.cpp
    AddLinkDialog.cpp
    FormattedTextWidget.cpp

    AbstractDataPlugin.cpp
    AbstractDataPluginModel.cpp
    AbstractDataPluginItem.cpp
    AbstractWorkerThread.cpp

    PluginInterface.cpp
    DialogConfigurationInterface.cpp
    LayerInterface.cpp
    RenderState.cpp
    RenderPlugin.cpp
    RenderPluginInterface.cpp
    PositionProviderPlugin.cpp
    PositionProviderPluginInterface.cpp
    PlacemarkPositionProviderPlugin.cpp
    RouteSimulationPositionProviderPlugin.cpp
    MarblePluginSettingsWidget.cpp
    RenderPluginModel.cpp
    PluginAboutDialog.cpp
    PluginItemDelegate.cpp

    SunLocator.cpp
    MarbleClock.cpp
    SunControlWidget.cpp
    MergedLayerDecorator.cpp

    MathHelper.cpp

    LatLonEdit.cpp
    PlacemarkEditHeader.cpp

    MapThemeSortFilterProxyModel.cpp

    TemplateDocument.cpp

    routing/AlternativeRoutesModel.cpp
    routing/Maneuver.cpp
    routing/Route.cpp
    routing/RouteRequest.cpp
    routing/RouteSegment.cpp
    routing/RoutingModel.cpp
    routing/RoutingProfile.cpp
    routing/RoutingManager.cpp
    routing/RoutingLayer.cpp
    routing/RoutingInputWidget.cpp
    routing/RoutingWidget.cpp
    routing/RoutingProfilesWidget.cpp
    routing/RoutingProfilesModel.cpp
    routing/RoutingProfileSettingsDialog.cpp
    routing/SpeakersModel.cpp
    routing/VoiceNavigationModel.cpp
    routing/instructions/InstructionTransformation.cpp
    routing/instructions/RoutingInstruction.cpp
    routing/instructions/RoutingPoint.cpp
    routing/instructions/RoutingWaypoint.cpp
    routing/instructions/WaypointParser.cpp

    ParsingRunnerManager.cpp
    ReverseGeocodingRunnerManager.cpp
    RoutingRunnerManager.cpp
    SearchRunnerManager.cpp

    AutoNavigation.cpp

    SearchRunnerPlugin.cpp
    ReverseGeocodingRunnerPlugin.cpp
    RoutingRunnerPlugin.cpp
    ParseRunnerPlugin.cpp
    SearchRunner.cpp
    ReverseGeocodingRunner.cpp
    RoutingRunner.cpp
    ParsingRunner.cpp
    RunnerTask.cpp

    BookmarkManager.cpp
    EditBookmarkDialog.cpp
    BookmarkManagerDialog.cpp
    NewBookmarkFolderDialog.cpp

    PrintOptionsWidget.cpp
    ExternalEditorDialog.cpp
    GoToDialog.cpp

    MapWizard.cpp
    MapThemeDownloadDialog.cpp
    GeoGraphicsScene.cpp
    ElevationModel.cpp
    MarbleLineEdit.cpp
    SearchInputWidget.cpp
    SearchWidget.cpp
    kineticmodel.cpp
    NewstuffModel.cpp
    MarbleZip.cpp

    StyleBuilder.cpp
    
    cloudsync/CloudSyncManager.cpp
    cloudsync/RouteSyncManager.cpp
    cloudsync/OwncloudSyncBackend.cpp
    cloudsync/CloudRouteModel.cpp
    cloudsync/CloudRoutesDialog.cpp
    cloudsync/RouteItem.cpp
    cloudsync/RouteItemDelegate.cpp
    cloudsync/BookmarkSyncManager.cpp
    cloudsync/MergeItem.cpp
    cloudsync/ConflictDialog.cpp
)


if (MARBLE_NO_WEBKITWIDGETS)
    LIST(APPEND marblewidget_SRCS
        NullMarbleWebView.cpp
        NullTinyWebBrowser.cpp
        )
else()
    LIST(APPEND marblewidget_SRCS
        MarbleWebView.cpp
        TinyWebBrowser.cpp
        )
endif()

if (NOT MARBLE_NO_DBUS)
    LIST(APPEND marblewidget_SRCS
        MarbleDBusInterface.cpp
        )
endif()

set (marblewidget_UI
    ${osm_UIS}
    LatLonBoxWidget.ui
    MapViewWidget.ui
    CurrentLocationWidget.ui
    FileViewWidget.ui
    TourWidget.ui
    MarbleNavigator.ui
    MarbleCacheSettingsWidget.ui
    MarbleViewSettingsWidget.ui
    MarbleNavigationSettingsWidget.ui
    TimeControlWidget.ui
    MarbleTimeSettingsWidget.ui
    MarblePluginSettingsWidget.ui
    TileCreatorDialog.ui
    TileLevelRangeWidget.ui
    MarbleAboutDialog.ui
    SunControlWidget.ui
    LatLonEdit.ui
    PlacemarkEditHeader.ui
    routing/RoutingWidget.ui
    DataMigrationWidget.ui
    EditBookmarkDialog.ui
    BookmarkManagerDialog.ui
    NewBookmarkFolderDialog.ui
    PrintOptions.ui
    ExternalEditor.ui
    GoToDialog.ui
    routing/RoutingSettingsWidget.ui
    routing/RoutingProfileSettingsDialog.ui
    MapWizard.ui
    MapThemeDownloadDialog.ui
    cloudsync/CloudRoutesDialog.ui
    MarbleCloudSyncSettingsWidget.ui
    MovieCaptureDialog.ui
    TourCaptureDialog.ui
    EditPlacemarkDialog.ui
    AddLinkDialog.ui
    FormattedTextWidget.ui
    ElevationWidget.ui
)
if (MARBLE_NO_WEBKITWIDGETS)
    LIST(APPEND marblewidget_UI
        NullLegendWidget.ui
        NullWebPopupWidget.ui
        )
else()
    LIST(APPEND marblewidget_UI
        LegendWidget.ui
        WebPopupWidget.ui
        )
endif()

# FIXME: cleaner approach of src/lib/marblwidget/MarbleControlBox.* vs. marble.qrc
qt_add_resources(marblewidget_SRCS libmarble.qrc ../../apps/marble-ui/marble.qrc)

qt_wrap_ui(marblewidget_SRCS ${marblewidget_UI})

add_library(marblewidget SHARED ${marblewidget_SRCS} ${SOURCES_UI_HDRS})

generate_export_header(marblewidget BASE_NAME marble)


# TODO: use PUBLIC/PRIVATE everywhere instead of LINK_PUBLIC/LINK_PRIVATE
# once SailfishOS has cmake >= 2.8.12

# link with libastro
target_link_libraries(marblewidget LINK_PRIVATE astro)

# link against zlib
target_link_libraries(marblewidget LINK_PRIVATE ${ZLIB_LIBRARIES})

# link with release version of Qt libs
target_link_libraries(marblewidget
    LINK_PUBLIC
        Qt5::Xml
        Qt5::Gui
        Qt5::Widgets
        Qt5::Quick
        Qt5::Network
    LINK_PRIVATE
        Qt5::Svg
        Qt5::Script
        Qt5::PrintSupport
        Qt5::Concurrent
)
if (NOT MARBLE_NO_WEBKITWIDGETS)
    target_link_libraries(marblewidget
        LINK_PUBLIC
            Qt5::WebKitWidgets
    )
endif ()
if (NOT MARBLE_NO_DBUS)
    target_link_libraries(marblewidget
        LINK_PRIVATE
            Qt5::DBus
    )
endif ()
if (PHONON_FOUND)
    target_link_libraries(marblewidget
        LINK_PRIVATE
            ${PHONON_LIBS}
    )
endif()

if (APPLE)
  # TODO: PUBLIC or can be PRIVATE?
  #defined in top level makefile
  target_link_libraries(marblewidget LINK_PUBLIC ${MAC_EXTRA_LIBS} )
endif (APPLE)

# TODO: still supported?
if (CMAKE_SYSTEM_NAME MATCHES "SunOS")
  target_link_libraries(marblewidget LINK_PUBLIC m)
endif (CMAKE_SYSTEM_NAME MATCHES "SunOS")

if(WIN32)
  # TODO: PUBLIC or can be PRIVATE?
  target_link_libraries(marblewidget LINK_PUBLIC ws2_32 imm32 winmm)
endif(WIN32)

if(NOT CMAKE_SYSTEM_NAME STREQUAL Android)
  set_target_properties(marblewidget  PROPERTIES
    VERSION ${MARBLE_LIB_VERSION}
    SOVERSION ${MARBLE_ABI_VERSION}
  )
endif()

set_target_properties(marblewidget  PROPERTIES
    EXPORT_NAME "Marble"
    OUTPUT_NAME marblewidget-qt5
    COMPILE_FLAGS "-DKML_LAZY_IMP"
)

target_include_directories(marblewidget
    INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>"
)

# choose the correct target install library path
if(WIN32)
  install(TARGETS marblewidget RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX} ARCHIVE DESTINATION lib)
elseif(APPLE)
  install(TARGETS marblewidget LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/lib)
else()
  install(TARGETS marblewidget
    EXPORT MarbleTargets
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

=== debian/changelog ===
marble (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files with the buildds logs.

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 22:04:04 +0100

marble (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files from buildds logs (4:16.04.1-3).
  * Update symbols files
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)
  * Update install files
  * Follow upstream libmarblewidget soversion bump

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 10:57:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,48 +5,47 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
-               kdoctools-dev (>= 5.24.0~),
-               kio-dev (>= 5.24.0~),
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev,
+               kio-dev (>= 5.7.0~),
                libgps-dev (>= 2.90),
-               libkf5config-dev (>= 5.24.0~),
-               libkf5coreaddons-dev (>= 5.24.0~),
-               libkf5crash-dev (>= 5.24.0~),
-               libkf5i18n-dev (>= 5.24.0~),
-               libkf5newstuff-dev (>= 5.24.0~),
-               libkf5parts-dev (>= 5.24.0~),
-               libkf5runner-dev (>= 5.24.0~),
-               libkf5service-dev (>= 5.24.0~),
-               libkf5wallet-dev (>= 5.24.0~),
+               libkf5config-dev,
+               libkf5coreaddons-dev (>= 5.7.0~),
+               libkf5crash-dev (>= 5.7.0~),
+               libkf5i18n-dev (>= 5.7.0~),
+               libkf5newstuff-dev (>= 5.7.0~),
+               libkf5parts-dev (>= 5.7.0~),
+               libkf5runner-dev (>= 5.7.0~),
+               libkf5service-dev,
+               libkf5wallet-dev (>= 5.7.0~),
                libopencv-core-dev,
                libopencv-highgui-dev,
                libopencv-imgproc-dev,
                libphonon4qt5-dev,
                libprotobuf-dev,
-               libqt5extserialport-dev,
-               libqt5opengl5-dev (>= 5.6.1~),
-               libqt5serialport5-dev (>= 5.6.1~),
-               libqt5svg5-dev (>= 5.6.1~),
+               libqt5opengl5-dev,
+               libqt5serialport5-dev,
+               libqt5svg5-dev (>= 5.4),
                libqt5webkit5-dev (>= 5.4),
                libquazip5-dev,
                libshp-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                python-dev,
-               qtbase5-dev (>= 5.6.1~),
-               qtdeclarative5-dev (>= 5.6.1~),
-               qtlocation5-dev (>= 5.6.1~),
-               qtmultimedia5-dev (>= 5.6.1~),
-               qtpositioning5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.4),
+               qtdeclarative5-dev (>= 5.4),
+               qtlocation5-dev (>= 5.3.0~),
+               qtmultimedia5-dev (>= 5.3.0~),
+               qtpositioning5-dev (>= 5.3.0~),
+               qtscript5-dev (>= 5.4),
+               qttools5-dev (>= 5.4),
                shared-mime-info,
                sip-dev,
                zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
 
 Package: marble
 Architecture: any
@@ -129,7 +128,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libmarblewidget-qt5-24
+Package: libmarblewidget-qt5-25
 Architecture: any
 Section: libs
 Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -162,11 +161,11 @@
 Architecture: any
 Section: libdevel
 Depends: libastro-dev (= ${binary:Version}),
-         libmarblewidget-qt5-24 (= ${binary:Version}),
+         libmarblewidget-qt5-25 (= ${binary:Version}),
          libqt5webkit5-dev (>= 5.4),
          qtdeclarative5-dev (>= 5.4),
          ${misc:Depends},
-         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-24},
+         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-25},
          ${shlibs:Depends}
 Description: development files for the Marble globe widget library
  Marble is a generic geographical map widget and framework for KDE

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

vendor := $(shell dpkg-vendor --query Vendor)

ifeq ($(vendor),Ubuntu)
  ifeq ($(DEB_HOST_ARCH),armel)
    conf_args += -DWITH_OpenGL=OFF
  endif
endif

override_dh_auto_configure:
	$(overridden_command) -- -DWITH_DESIGNER_PLUGIN=ON \
				 -DWITH_KF5=TRUE \
				 -DMARBLE_INSTALL_ANDROID_APPS=ON \
				 $(conf_args)

override_dh_strip:
	$(overridden_command) --dbgsym-migration='marble-dbg (<= 4:15.12.1-1~~)'

override_dh_auto_test:
	# Disable the auto tests at build time
	:

override_dh_clean:
	$(overridden_command) -Xdata/mwdbii/PISLAND.PNT.orig -Xdata/mwdbii/PLAKE.PNT.orig

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, xserver-xephyr
Restrictions: build-needed

Tests: acc
Depends: @,
         dh-acc, exuberant-ctags
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/marble-([\d.]+).tar.xz

## marble 16.12.3

=== debian/changelog ===
marble (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:57 +0000

marble (4:16.12.1-0ubuntu2) zesty; urgency=medium

  * Temporarily disable acc autopkgtest. Fails only due to bug in gcc-6
    (>= 6.3.0-3).
  * Drop build depend on libqt5extserialport-dev. No longer required,
    and blocks auto-removal of src:qextserialport from ubuntu in line
    with debian.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 31 Jan 2017 17:08:07 +0000

marble (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Clive Johnston ]
  * Adding new build dep
  * Bumping libmarblewidget-qt

  [ Rik Mills ]
  * Update install files
  * Additional libphonon4qt5experimental-dev build dep
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * Update symbols from build logs
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,47 +5,50 @@
 Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.7.0~),
-               kdoctools-dev,
-               kio-dev (>= 5.7.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libgps-dev (>= 2.90),
-               libkf5config-dev,
-               libkf5coreaddons-dev (>= 5.7.0~),
-               libkf5crash-dev (>= 5.7.0~),
-               libkf5i18n-dev (>= 5.7.0~),
-               libkf5newstuff-dev (>= 5.7.0~),
-               libkf5parts-dev (>= 5.7.0~),
-               libkf5runner-dev (>= 5.7.0~),
-               libkf5service-dev,
-               libkf5wallet-dev (>= 5.7.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5coreaddons-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5newstuff-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5runner-dev (>= 5.31.0~),
+               libkf5service-dev (>= 5.31.0~),
+               libkf5wallet-dev (>= 5.31.0~),
                libopencv-core-dev,
                libopencv-highgui-dev,
                libopencv-imgproc-dev,
                libphonon4qt5-dev,
+               libphonon4qt5experimental-dev,
                libprotobuf-dev,
-               libqt5opengl5-dev,
-               libqt5serialport5-dev,
-               libqt5svg5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.6.1~),
+               libqt5serialport5-dev (>= 5.6.1~),
+               libqt5svg5-dev (>= 5.6.1~),
                libqt5webkit5-dev (>= 5.4),
                libquazip5-dev,
                libshp-dev,
+               libwlocate-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
                python-dev,
-               qtbase5-dev (>= 5.4),
-               qtdeclarative5-dev (>= 5.4),
-               qtlocation5-dev (>= 5.3.0~),
-               qtmultimedia5-dev (>= 5.3.0~),
-               qtpositioning5-dev (>= 5.3.0~),
-               qtscript5-dev (>= 5.4),
-               qttools5-dev (>= 5.4),
+               qtbase5-dev (>= 5.6.1~),
+               qtdeclarative5-dev (>= 5.6.1~),
+               qtlocation5-dev (>= 5.6.1~),
+               qtmultimedia5-dev (>= 5.6.1~),
+               qtpositioning5-dev (>= 5.6.1~),
+               qtscript5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~),
+               qttools5-dev-tools (>= 5.6.1~),
                shared-mime-info,
                sip-dev,
                zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://edu.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/marble.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
 
 Package: marble
 Architecture: any
@@ -128,7 +131,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libmarblewidget-qt5-25
+Package: libmarblewidget-qt5-26
 Architecture: any
 Section: libs
 Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -161,11 +164,11 @@
 Architecture: any
 Section: libdevel
 Depends: libastro-dev (= ${binary:Version}),
-         libmarblewidget-qt5-25 (= ${binary:Version}),
+         libmarblewidget-qt5-26 (= ${binary:Version}),
          libqt5webkit5-dev (>= 5.4),
-         qtdeclarative5-dev (>= 5.4),
+         qtdeclarative5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-25},
+         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-26},
          ${shlibs:Depends}
 Description: development files for the Marble globe widget library
  Marble is a generic geographical map widget and framework for KDE

## marble 17.04.3

=== debian/changelog ===
marble (4:17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Sync marble-data dependencies with Neon
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * New upstream release (17.04.0)
  * Increase libmarblewidget-qt version
  * Install new appstream data

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:51 +0100

marble (4:16.12.3-0ubuntu2) artful; urgency=medium

  * Update symbols for GCC7 and Qt 5.9

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 Aug 2017 15:05:10 +0100

=== debian/control ===
--- 
+++ 
@@ -102,9 +102,13 @@
 Package: marble-data
 Architecture: all
 Section: misc
-Depends: ${misc:Depends}
-Breaks: marble (<= 4:15.08.0+dfsg-1)
-Replaces: marble (<= 4:15.08.0+dfsg-1)
+Depends: plasma-framework,
+         qml-module-qtquick-controls,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
+         ${misc:Depends}
+Breaks: marble (<= 4:15.08.0+dfsg-1), ${kde-l10n:all}
+Replaces: marble (<= 4:15.08.0+dfsg-1), ${kde-l10n:all}
 Description: data files for Marble
  Marble is a generic geographical map widget and framework for KDE
  applications. The Marble widget shows the earth as a sphere but does not
@@ -131,7 +135,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libmarblewidget-qt5-26
+Package: libmarblewidget-qt5-27
 Architecture: any
 Section: libs
 Depends: marble-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
@@ -164,11 +168,11 @@
 Architecture: any
 Section: libdevel
 Depends: libastro-dev (= ${binary:Version}),
-         libmarblewidget-qt5-26 (= ${binary:Version}),
+         libmarblewidget-qt5-27 (= ${binary:Version}),
          libqt5webkit5-dev (>= 5.4),
          qtdeclarative5-dev (>= 5.6.1~),
          ${misc:Depends},
-         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-26},
+         ${sameVersionDep:qtbase5-dev:libmarblewidget-qt5-27},
          ${shlibs:Depends}
 Description: development files for the Marble globe widget library
  Marble is a generic geographical map widget and framework for KDE
